Subject: Re: [RFC] [PATCH] remote: add new --fetch option for set-url

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Dec 2014 15:50:44 -0800

Peter Wu <[email-masked]> writes:

> On Saturday 29 November 2014 13:31:18 Philip Oakley wrote:
>> From: "Peter Wu" <[email-masked]>
>> > Ok, I will make a clear note about the default (without --only) 
>> > behavior
>> > having weird behavior for historical reasons. Are you really OK with
>> > --only=both? It sounds a bit odd (mathematically speaking it is 
>> > correct
>> > as fetch and push are both partitions that form the whole set if you
>> > ignore the historical behavior).
>> >
>> How about :
>> 
>> s/--only/--direction/
>> 
>> or some suitable abbreviation (--dirn ?)
>
> In the next version of the patch I went for three separate options,
> --fetch, --push and --both:
> http://article.gmane.org/gmane.comp.version-control.git/260213
> (Juno, Jeff: ping?)
>
> The option --direction=<fetch|push|both> is a bit longer and --dirn can
> be mistaken for "directory N".

If we have to have three variants, --{fetch,push,both} would be the
easiest to understand among the possibilities listed above, I would
think.